Refresh Destinations
curl --request POST \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/destinations/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/destinations/refresh"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/destinations/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "destination_refresh",
"status": "completed",
"warnings": [
{
"provider": "x",
"reason": "provider_not_configured",
"message": "<string>"
}
],
"destinations": [
{
"id": "dest_01JABCDEF",
"object": "destination",
"channel": "x",
"display_name": "@openpmm",
"status": "ready",
"unavailable_reason": "reauthorization_required",
"is_default": true
}
]
}Destinations
Refresh Destinations
Refresh connection state and publishable targets for all destinations. A warning has a machine-readable reason. OpenPMM keeps the last known destination state when discovery is not authoritative.
POST
/
workspaces
/
{workspace_id}
/
destinations
/
refresh
Refresh Destinations
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128A unique key for this operation. Use the same key when you retry the same request. Different input with the same key returns 409.
Required string length:
1 - 200Path Parameters
Unique workspace ID.
Example:
"ws_01JABCDEF"
Response
The destination refresh result.
Object type.
Allowed value:
"destination_refresh"Refresh result.
Available options:
completed, completed_with_warnings Provider failures that did not stop the refresh.
Show child attributes
Show child attributes
Connected publishing targets after the refresh.
Show child attributes
Show child attributes
